Subject: bug#65359: [PATCH] eglot: add "lexical" LSP server

From: Mou Tong <[email-masked]>
Date: Fri, 18 Aug 2023 07:08:42 +0000

Eli Zaretskii <[email-masked]> writes:

> Then we should make this entry be in effect only on systems that
> aren't Windows.
>
> I don't mind installing this now, but only if it doesn't break Elixir
> support on Windows, which would mean this new entry should be hidden
> when Emacs runs on Windows.

Oh, I see, here is the new patch, I'm using the `eglot-alternatives`
in the else so we don't see lexical on Windows.

> I also don't mind waiting...

Actually I'd like it got merged so I needn't to keep the hack in my
configuration. (Forgive me laziness...)